-- tutorialbutton.lua
require("scripts/styles/mainmenustyle.lua");

MakeDialog 
{
	Window 
	{
		name = "TutorialButtonWindow",
		fit = true,
			
		SetStyle(GreenButtonStyle),
        
        -- Apply changes button
		BlgButton
		{
			x = 401.0, y = 694.0,
			width = 440, height = 180,			
			name = "customApply",
			scale = 1,
			label = "customize_apply",
			graphics = {
					"level/customization/texture/apply_button",
					"",
					"",
					"",
				},
			positionMatrix = { x = 15, y = 10 },
			command = function()
						Save()
                        Close()
			          end
		},

--~         -- Back button
--~ 		BlgButton
--~ 		{
--~ 			x = 300.0, y = 690.0,
--~ 			w = 300, h = 130,
--~ 			name = "customClose",
--~ 			scale = 1,
--~ 			label = "customize_close",
--~ 			graphics = {
--~ 					"level/customization/texture/back_button",
--~ 					"",
--~ 					"",
--~ 					"",
--~ 				},
--~ 			command = function()
--~ 						Close()
--~ 			          end
--~ 		},
        
        -- Reset button
	BlgButton
	{
		name = "txtResetCustomization",
		x = 20.0, y = 709.0,
		w = 300, h = 130,
		scale = 1,
		label = "reset",
		graphics = {
				"level/customization/texture/back_button",
				"",
				"",
				"",
			},
		command = 
	function()
	    SetDefaultClothes()        
		    end
	},
	
	--back button 
	 BlgButton
	{
		name = "txtBackCustomization",
		x = 150.0, y = 709.0,
		w = 300, h = 130,
		scale = 1,
		label = "back",
		graphics = {
				"level/customization/texture/back_button",
				"",
				"",
				"",
			},
		command = 
			function()
				ReturnToLevelSelector();
			end
	},
        
        SetStyle(CustomizationTitleStyle),

--~ 		Text
--~         {
--~ 			name = "txtTitleDescription",
--~         	x = 0, y = 40,
--~ 			w = 400, h = 160,
--~ 			label = "description",
--~ 			flags = kHAlignCenter,
--~ 		},
        
        SetStyle(CustomizationDescStyle),
        Text
        {
			name = "txtDescription",
			x = 132, y = 40,
			w = 225, h = 180,
			label = "",
			flags = kHAlignCenter + kVAlignCenter,
		},
	}
}